<?php

namespace Drupal\sucuri_cache\Form;

use Drupal\Core\Form\ConfirmFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Clears sucuri caches for the site.
 *
 * @internal
 */
class PurgeAllCachesForm extends ConfirmFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'sucuri_cache__purge_all_caches';
  }

  /**
   * Clears the caches.
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    _sucuri_cache_purge_all_pages();
    $this->messenger()->addStatus($this->t('Sucuri Caches cleared.'));
  }

  /**
   * Confirmation question.
   */
  public function getQuestion() {
    return $this->t('Do you want to purge Sucuri caches for ALL site pages?');
  }

  /**
   * URL Redirect.
   */
  public function getCancelUrl() {
    return new Url('<front>');
    // @todo redirect back.
  }

}
